QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
QXmppRtpPacket Class Reference

The QXmppRtpPacket class represents an RTP packet. More...

`#include <QXmppRtpChannel.h>`

List of all members.

## Public Member Functions
bool | decode (const QByteArray &ba)
QByteArray | encode () const
| Encodes an RTP packet.
QString | toString () const
| Returns a string representation of the RTP header.
## Public Attributes
quint8 | version
bool | marker
quint8 | type
quint32 | ssrc
QList< quint32 > | csrc
quint16 | sequence
quint32 | stamp
QByteArray | payload

## Detailed Description

The QXmppRtpPacket class represents an RTP packet.

## Member Function Documentation

bool QXmppRtpPacket::decode | ( | const QByteArray & | ba | ) |

Parses an RTP packet.

Parameters:

  ba |

The documentation for this class was generated from the following files:

- QXmppRtpChannel.h
- QXmppRtpChannel.cpp

All Classes Functions Enumerations Enumerator Properties